local celeste = require("#celeste")
local csharpVector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
	disableMovement()
	waitUntilOnGround()
	celeste.SpotlightWipe.FocusPoint = csharpVector2(6, 112)
	getRoom().Wipe = celeste.SpotlightWipe(getRoom(), false, nil)
	walk(-72)
	wait(0.4)
	
	setFlag("beach_area",true)
	setFlag("forest_area",false)
	teleportTo(320, 48, "b01", "WalkInLeft")
	
	wait(3.0)
	enableMovement()
end

function onEnd(wasSkipped)
	setFlag("beach_area",true)
	setFlag("forest_area",false)
	teleportTo(320, 48, "b01", "WalkInLeft")
	enableMovement()
end